package com.nemoquiz.listviewexample;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class CommentListAdapter extends ArrayAdapter<Comment> {
    Activity parentActivity;
    public CommentListAdapter(Context context, ArrayList<Comment> commentList){
        super(context, 0, commentList);
        parentActivity = (Activity) this.getContext();
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        if (convertView == null) {
            convertView = parentActivity.getLayoutInflater()
                    .inflate(R.layout.list_item_comment, null);
        }

        Comment comment = getItem(position);
        TextView nameTextView = (TextView)convertView.findViewById(R.id.comment_message);
        nameTextView.setText("Comment "+position+": "+comment.getMessage());
        return convertView;

    }
}