package com.nemoquiz.listviewexample;

import android.app.ListActivity;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.ListView;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {
    ListView myListView;
    ArrayList<Comment> myComments;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Create some test data to display in the ListView
        Comment c1 = new Comment();
        c1.setMessage("Never ask a barber if you need a haircut.");
        Comment c2 = new Comment();
        c2.setMessage("Fish is tasty, but it is best to cook it outside.");
        myComments = new ArrayList<>();
        myComments.add(c1);
        myComments.add(c2);

        myListView = (ListView) findViewById(R.id.exampleListView);

        //Create an instance of a custom ArrayAdapter for Comment objects
        CommentListAdapter adapter = new CommentListAdapter(this, myComments);

        //Use the custom ArrayAdapter to display the data in the ListView
        myListView.setAdapter(adapter);
    }
}
